config = dict \
(
protocol = "jms",
java = "C:\\JDK\\BIN\\java.exe",
arguments = ("-Dfile.encoding=windows-1251", ),
classpath = "c:\\pythomnic3k\\lib;c:\\pythomnic3k\\lib\\jms.jar;"
            "c:\\pythomnic3k\\lib\\imq.jar;c:\\pythomnic3k\\lib\\fscontext.jar",
jndi = { "java.naming.factory.initial": "com.sun.jndi.fscontext.RefFSContextFactory",
         "java.naming.provider.url": "file:///c:/pythomnic3k/lib/jndi" },
factory = "connection_factory",
queue = "test.queue",
username = "user",
password = "pass",
)

# DO NOT TOUCH BELOW THIS LINE

__all__ = [ "get", "copy" ]

try: self_test_config
except NameError: self_test_config = {}

get = lambda key, default = None: pmnc.config.get_(config, self_test_config, key, default)
copy = lambda: pmnc.config.copy_(config, self_test_config)

# EOF