#!/usr/bin/env python
#-*- coding: iso-8859-1 -*-
###############################################################################

__all__ = [ "process_request" ]

###############################################################################

def process_request(request: dict, response: dict):

    # read up the entire file contents

    file_name = request["file_name"]

    with open(file_name, "rb") as f:
        data = f.read()

    # delegate data processing to a separate module, just for fun

    message_text = pmnc.custom_processing.process_file(data)

    # send the result to the JMS queue

    message_id = pmnc.transaction.output_queue.send(message_text)

    pmnc.log("FILE {0:s} HAS BEEN SENT AS {1:s}".format(file_name, message_id))

###############################################################################
# EOF